W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915

Bug #1611124 reported by Cristian Aravena Romero on 2016-08-08
414
This bug affects 87 people
Affects Status Importance Assigned to Milestone
xen
Unknown
Unknown
linux-firmware (Ubuntu)
Undecided
Unassigned

Bug Description

$sudo dpkg -i linux-image-4.8.0-040800rc1-lowlatency

[...]

update-initramfs: Generating /boot/initrd.img-4.8.0-040800rc1-lowlatency
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: linux-firmware 1.159
Uname: Linux 4.8.0-040800rc1-lowlatency x86_64
ApportVersion: 2.20.3-0ubuntu5
Architecture: amd64
Date: Mon Aug 8 17:50:38 2016
Dependencies:

InstallationDate: Installed on 2015-07-26 (379 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150723)
PackageArchitecture: all
SourcePackage: linux-firmware
UpgradeStatus: No upgrade log present (probably fresh install)

Seth Forshee (sforshee) wrote :

This warning means that the driver references the firmware but that it isn't installed. Intel has not yet pushed out this firmware to upstream linux-firmware, once they have done so it will make it's way into Ubuntu. I'll also point out that we don't officially support any 4.8-based kernels yet, and when running early -rc kernels you're likely to hit some snags.

Marking as invalid on the basis of using a non-supported kernel and because the firmware is not upstream.

Changed in linux-firmware (Ubuntu):
status: New → Invalid
emk2203 (emk2203) wrote :

Please re-open. 4.8 is now the official Yakkety kernel, running 4.8.0-17 and encountering this bug.

i915 crashes often, significantly affecting the machine.

Seth Forshee (sforshee) wrote :

@emk2203 - Intel still has not released this firmware publicly anywhere that I can find, and that firmware specifically is only going to help if you have a kaby lake processor.

What you should do is open a new bug following one of these crashes by running 'ubuntu-bug linux' in a terminal. This will attach your machine information and logs to help us understand the problems you're seeing. Thanks!

pavel bursa (bursap) wrote :

Ubuntu 16.10, desktop-amd64, daily build 3/october/2016

The following NEW packages will be installed:
  mdadm
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
....

W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
root@yakety:~# ^C

same issue here

update-initramfs: Generating /boot/initrd.img-4.8.0-25-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

dont know if related but chrome is consuming too much cpu now, it has pikes of 80%

NetBit73 (mmach) wrote :

the same:
update-initramfs: Generating /boot/initrd.img-4.8.1-ext73-48.1-ivybridge
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

teranex (teranex) wrote :

New kernel update on 16.10, still the same:
update-initramfs: Generating /boot/initrd.img-4.8.0-26-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

The real question is why is this presenting on new kernels and no on old versions? did the firmware package drop support for some archs or something? I have been using this laptop for almost 3 years upgrading ubuntu from it first install 14.04 never have an issue from there to 16.10 now. So why is this presenting now?

Nick B. (futurepilot) wrote :

Because Kabylake support is new. Unless you have a Kabylake CPU this bug doesn't really affect you other than the warning message itself from update-initramfs

Rasmus Eneman (pie-or-paj) wrote :

@bitgandtter
Intel added driver support for hardware that is not released yet, so there are no available firmware.
The only affect it has on any actual system is these warnings, it's nothing to worry about.

Seth Forshee (sforshee) wrote :

@Gábor: The versions at that link are the same versions already in our linux-firmware package, so installing the firmware from that site isn't going to help. Intel's driver is looking for firmware versions that Intel has never released. It's unfortunate that Intel does this with their drivers, but we *cannot* include firmware which hasn't been released.

tsiros (tsiros) wrote :

i have a ten year old laptop, a toshiba satellite pro u200 with a t5500

i get this warning multiple times during a dist-upgrade to 16.10

crysman (crysman) wrote :

The same here while performing "apt-get dist-upgrade":

update-initramfs: Generating /boot/initrd.img-4.8.0-30-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

I've got 5 years old Intel i5 on ASUS U36SD laptop.

Alexander Adam (7ql6) wrote :

It seems that it may not be really an issue.

As Jani Nikula wrote

"our driver supports hardware that hasn't been released yet, and we haven't released the firmware files either. We'll probably need to try to push the firmware releases earlier, but I suspect we won't get rid of the problem altogether.
Comment 3"

https://bugs.freedesktop.org/show_bug.cgi?id=97825#c2

It seems that it is a harmless warning.

I have the same messages in Ubunty Zesty:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

Gerardus (rwijtvliet) wrote :

Same here. If it's not an issue, then something else definitely is, as i can't access the Internet. Ping returns name or service not known. The WiFi connection information does return an ipv4 address though.

Seth Forshee (sforshee) wrote :

@Gerardus: These messages are in reference to firmware for the i915 graphics driver, so it definitely has no relationship to your networking issues.

WinEunuchs2Unix (ricklee518) wrote :

To make these annoying warnings go away I used:

$ sudo cp assembly/hello /lib/firmware/i915/kbl_dmc_ver1_01.bin
$ sudo cp assembly/hello /lib/firmware/i915/kbl_guc_ver9_14.bin
$ sudo cp assembly/hello /lib/firmware/i915/bxt_guc_ver8_7.bin
$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.9.5-040905-generic

Voila! Error (warning) messages went away. It's been working fine for 1/2 hour.

"hello" is a 504 byte assembly program that simply says "Hello World!" when run. I presume you can copy any executable program you want. When Intel eventually gets around releasing the "kaby lake" processor and appropriate drivers they will overwrite my fake drivers.

Alexnader Karenin (hellkaim) wrote :

I have latest linux-firmware on Ubuntu 16.04 and have the same error.

Downloaded files from https://01.org/linuxgraphics/downloads/firmware
so far so good.

simon (simon1tan-2) wrote :

The smart thing to do is check and only show this message if using Kaby Lake processor. Why worry uses at all?

The warnings applied to Kabylake before it was even released / sold. Anyway
a few days ago the drivers were released so you can fix the error for real.
See:
http://askubuntu.com/questions/832524/updated-kernel-to-4-8-now-missing-firmware-warnings

On Sat, Feb 18, 2017 at 9:48 PM, simon <email address hidden> wrote:

> The smart thing to do is check and only show this message if using Kaby
> Lake processor. Why worry uses at all?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1611124
>
> Title:
> W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin
> for module i915
>
> Status in xen:
> Unknown
> Status in linux-firmware package in Ubuntu:
> Invalid
>
> Bug description:
> $sudo dpkg -i linux-image-4.8.0-040800rc1-lowlatency
>
> [...]
>
> update-initramfs: Generating /boot/initrd.img-4.8.0-040800rc1-lowlatency
> W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for
> module i915
> W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for
> module i915
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: linux-firmware 1.159
> Uname: Linux 4.8.0-040800rc1-lowlatency x86_64
> ApportVersion: 2.20.3-0ubuntu5
> Architecture: amd64
> Date: Mon Aug 8 17:50:38 2016
> Dependencies:
>
> InstallationDate: Installed on 2015-07-26 (379 days ago)
> InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64
> (20150723)
> PackageArchitecture: all
> SourcePackage: linux-firmware
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xen/+bug/1611124/+subscriptions
>

Simos Xenitellis  (simosx) wrote :

I get this message and I do not even run a Kabylake system ("kbl").

According to https://01.org/linuxgraphics/downloads/firmware

"2. Q: I am seeing the following error message, what do they mean and what should I do in response?

   W:Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1.bin for module i915

   A: This warning can be safely ignored."

Therefore, this message can be safely ignored.

Robert Focht (robertmf) wrote :

linux mint 18.3 64b MATE
Kernel 4.11.5 generic

Same problem with missing i915 firmware as of this date

WinEunuchs2Unix (ricklee518) wrote :

@Robert Focht `4.11.5` is fairly old and won't have Meltdown or Spectre fixes. Do you mean `4.15.5`? Regardless see this link to get Skylake through Kabylake drivers: https://askubuntu.com/questions/832524/updated-kernel-to-4-8-now-missing-firmware-warnings

Alexyr (alexyr) wrote :

Got this message today, while updating package "linux-firmware"
Ubuntu server 16.04.4 LTS
4.15.0-24-generic #26~16.04.1-Ubuntu SMP Fri Jun 15 14:35:08 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Alexyr (alexyr) wrote :

Preparing to unpack .../linux-firmware_1.157.20_all.deb ...
Unpacking linux-firmware (1.157.20) over (1.157.19) ...
Setting up linux-firmware (1.157.20) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-24-generic
cryptsetup: WARNING: failed to detect canonical device of /dev/sdc1
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

Eugene Jones (eugenerjones) wrote :

Fixed by following directions here:
https://askubuntu.com/a/832528/145907

Franck78 (fbourdonnec) wrote :

@Seth Forshee (sforshee)

hello Seth,
now you know where to find them..... (message#4)

There is at least LTS 16.04 to fix.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.